ImmutableRangeSet.Builder
Date: 2016-05-24

com.google.common.collect

## Class ImmutableRangeSet.Builder<C extends java.lang.Comparable<?>>

- java.lang.Object
- - com.google.common.collect.ImmutableRangeSet.Builder<C>

- Enclosing class:
    ImmutableRangeSet<C extends java.lang.Comparable>

      public static class ImmutableRangeSet.Builder<C extends java.lang.Comparable<?>>
      extends java.lang.Object

  A builder for immutable range sets.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableRangeSet.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImmutableRangeSet.Builder<C>` | `add(Range<C> range)` Add the specified range to this builder.
    `ImmutableRangeSet.Builder<C>` | `addAll(RangeSet<C> ranges)` Add all ranges from the specified range set to this builder.
    `ImmutableRangeSet<C>` | `build()` Returns an `ImmutableRangeSet` containing the ranges added to this builder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableRangeSet.Builder

          public ImmutableRangeSet.Builder()

  - ### Method Detail

    - #### add

          public ImmutableRangeSet.Builder<C> add(Range<C> range)

      Add the specified range to this builder. Adjacent/abutting ranges are permitted, but empty ranges, or ranges with nonempty overlap, are forbidden.
      Throws:
        `java.lang.IllegalArgumentException` - if `range` is empty or has nonempty intersection with any ranges already added to the builder

    - #### addAll

          public ImmutableRangeSet.Builder<C> addAll(RangeSet<C> ranges)

      Add all ranges from the specified range set to this builder. Duplicate or connected ranges are permitted, and will be merged in the resulting immutable range set.

    - #### build

          public ImmutableRangeSet<C> build()

      Returns an `ImmutableRangeSet` containing the ranges added to this builder.